<p-breadcrumb [home]="{ routerLink:'../../', label: ' Bitácora', icon: 'pi pi-home' }"
  [model]="[{ routerLink: './',label: info | nameciCommit ,styleClass: info.type | classCommit}]">
</p-breadcrumb>
<div class="row bg-white mx-0 w-100 mt-4 pb-3">
  <div class="col">
    <p-fieldset  [legend]="info.type == 'Update' ? 'Estado actual':'Estado inicial'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo asunto:</strong> {{
                info.state?.tipoAsunto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de expediente:</strong> {{
            info.state?.numExpediente}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de voto:</strong> {{
            info.state?.tipoVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha resolución:</strong> {{
            info.state?.fechaResolucion}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ministra(o) que elabora(n) el voto:</strong> {{
            info.state?.ministro.join(', ')}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de tema(s) que se aborda(n) sobre el que se plantea el voto:</strong> {{
            info.state?.tipoTema}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de tema procesal sobre el que se plantea el voto:</strong> {{
            info.state?.tipoTemaProcesalSobreElVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tema procesal sobre el que se plantea el voto:</strong> {{
            info.state?.temaProcesalSobreElVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de tema sustantivo sobre el que se plantea el voto:</strong> {{
            info.state?.tipoTemaSustantivoSobreElVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tema sustantivo sobre el que se plantea el voto:</strong> {{
            info.state?.temaSustantivoSobreElVoto}}</span>
      </div>

      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Metodología de análisis de constitucionalidad propuesta en el voto:</strong> {{
            info.state?.metodologiaAnalisis}}</span>
      </div>
    </p-fieldset>
  </div>
  <div class="col" *ngIf="info.beginState">
    <p-fieldset [legend]="info.type == 'Update' ? 'Estado inical':'Estado actual'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo asunto:</strong> {{
                    info.beginState?.tipoAsunto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de expediente:</strong> {{
                info.beginState?.numExpediente}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de voto:</strong> {{
                info.beginState?.tipoVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha resolución:</strong> {{
                info.beginState?.fechaResolucion}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ministra(o) que elabora(n) el voto:</strong> {{
                info.beginState?.ministro.join(', ')}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de tema(s) que se aborda(n) sobre el que se plantea el voto:</strong> {{
            info.beginState?.tipoTema}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de tema procesal sobre el que se plantea el voto:</strong> {{
            info.beginState?.tipoTemaProcesalSobreElVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tema procesal sobre el que se plantea el voto:</strong> {{
            info.beginState?.temaProcesalSobreElVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de tema sustantivo sobre el que se plantea el voto:</strong> {{
            info.beginState?.tipoTemaSustantivoSobreElVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tema sustantivo sobre el que se plantea el voto:</strong> {{
            info.beginState?.temaSustantivoSobreElVoto}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Metodología de análisis de constitucionalidad propuesta en el voto:</strong> {{
                info.beginState?.metodologiaAnalisis}}</span>
      </div>
    </p-fieldset>
  </div>
</div>
